[已解决]实在搞不定了,大家帮帮忙啊

为当前最终发行版之前的所有版本提供支持
回复
zihan1209
帖子: 45
注册时间: 2007-04-25 12:42
送出感谢: 0
接收感谢: 0

[已解决]实在搞不定了,大家帮帮忙啊

#1

帖子 zihan1209 » 2007-05-12 23:47

那天想玩游戏了,好不容易找到个secondlife,然后我就装了secondlife-install_1.15.0.2-0~getdeb1_i386.deb
装到一大半的时候不想装了,关机了。第二天更新管理器显示

不能够初始化包信息

初始化包信息时遇到无法解决的问题。

请汇报这个此 'update-manager'软件包的错误,并且将如下信息包含在报告中:

'E:软件包 secondlife-install 需要重新安装,但是我无法找到相应的安装文件。'

文件我没动啊,就在我的桌面,但运行不了了。显示如下错误
这个软件包可能已损坏,或者您不允许打开此文件,请检查文件的权限
我以为软件包损坏了,又重新下了一个,还是这样显示,我有执行的权限

用dpkg -l命令查看有这样一项
iHR secondlife-ins 1.15.0.2-0~get
下面就实在不知道怎么弄了
大家帮帮忙啊!
上次由 zihan1209 在 2007-05-13 1:49,总共编辑 1 次。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2007-05-12 23:49

aptitude试试update upgrade
iHR就是half-install
● 鸣学
zihan1209
帖子: 45
注册时间: 2007-04-25 12:42
送出感谢: 0
接收感谢: 0

#3

帖子 zihan1209 » 2007-05-13 0:01

eexpress 写了:aptitude试试update upgrade
iHR就是half-install
你好
执行命令还是那个样子
bluesky@bluesky-desktop:~$ sudo apt-get dist-upgrade
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 软件包 secondlife-install 需要重新安装,但是我无法找到相应的安装文件。

是装到一半了,但我现在不想装了,也装不了了,怎么办啊
头像
mengnan
帖子: 224
注册时间: 2007-02-21 23:56
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 mengnan » 2007-05-13 0:08

你尝试一下
sudo apt-get -f install

我每次安装deb 包没有完成的时候,
再去更新或者安装其他apt-get的时候哦,
系统就会提示有错误,尝试输入以上那句命令解决。
zihan1209
帖子: 45
注册时间: 2007-04-25 12:42
送出感谢: 0
接收感谢: 0

#5

帖子 zihan1209 » 2007-05-13 0:12

楼上的
我要哭了
看我的
bluesky@bluesky-desktop:~$ sudo apt-get -f install
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 软件包 secondlife-install 需要重新安装,但是我无法找到相应的安装文件。
头像
mengnan
帖子: 224
注册时间: 2007-02-21 23:56
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 mengnan » 2007-05-13 0:49

无言~
xblx
帖子: 274
注册时间: 2006-12-18 1:05
送出感谢: 0
接收感谢: 0

#7

帖子 xblx » 2007-05-13 0:49

重新下载文件,用aptitude命令安装一次就好了。
zihan1209
帖子: 45
注册时间: 2007-04-25 12:42
送出感谢: 0
接收感谢: 0

#8

帖子 zihan1209 » 2007-05-13 0:50

我试试
zihan1209
帖子: 45
注册时间: 2007-04-25 12:42
送出感谢: 0
接收感谢: 0

#9

帖子 zihan1209 » 2007-05-13 1:01

不行啊
看一下
bluesky@bluesky-desktop:~$ aptitude install secondlife-install_1.15.0.2-0~getdeb1_i386.deb
段错误 (core dumped)
bluesky@bluesky-desktop:~$
xblx
帖子: 274
注册时间: 2006-12-18 1:05
送出感谢: 0
接收感谢: 0

#10

帖子 xblx » 2007-05-13 1:19

zihan1209 写了:不行啊
看一下
bluesky@bluesky-desktop:~$ aptitude install secondlife-install_1.15.0.2-0~getdeb1_i386.deb
段错误 (core dumped)
bluesky@bluesky-desktop:~$
奇怪,你上面的命令怎么不用sudo
我与你一样的问题,最后就是如此搞好的。或用dpkg命令,反正就是要把这个软件安装好。
zihan1209
帖子: 45
注册时间: 2007-04-25 12:42
送出感谢: 0
接收感谢: 0

#11

帖子 zihan1209 » 2007-05-13 1:49

回楼上的

终于搞好了
我用的是这个
dpkg -i secondlife-install_1.15.0.2-0~getdeb1_i386.deb
重新安装了一下
然后卸掉
yangqibing88
帖子: 21
注册时间: 2009-04-10 13:30
送出感谢: 0
接收感谢: 0

Re: [已解决]实在搞不定了,大家帮帮忙啊

#12

帖子 yangqibing88 » 2009-05-31 13:36

$ sudo gedit /var/lib/dpkg/status

打开后找到相关的信息把它删除即可,当然,事前最好先备份。
完成后,打开新立得,哈哈。。。世界清静了。。。
冰之猫猫
帖子: 7
注册时间: 2009-09-19 21:40
送出感谢: 0
接收感谢: 0

Re: [已解决]实在搞不定了,大家帮帮忙啊

#13

帖子 冰之猫猫 » 2009-10-11 22:01

谢谢 我遇到与你一模一样的问题~~
回复

回到 “老旧版本支持”